Skip to content

users_badges_seen

POST
/api/users/badges/seen
curl --request POST \
--url https://example.com/api/users/badges/seen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "badges": [ "example" ] }'

Mark badges as announced, so they are announced only once.

Only badges the user obtained and was not told about yet are changed.

Badges the user has just been told about.

object
badges
required

Ids of the badges announced to the user.

Array<string>

Example generated

{
"badges": [
"example"
]
}
Media typeapplication/json
Array<object>

A badge of the journey, and whether the user obtained it.

object
id
required

Id of the badge.

string
family
required

Discovery badges introduce a madbot concept, practice badges a good data management practice.

  • discovery - discovery
  • practice - practice
string
Allowed values: discovery practice
obtained_time
required

When the user obtained the badge, null if not obtained yet.

string format: date-time
nullable
seen_time
required

When the user was told about the badge, null if not yet.

string format: date-time
nullable

Example

[
{
"family": "discovery"
}
]
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "body_validation_error",
"message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "badges",
"code": "invalid_choice",
"message": "\"<badge>\" is not a valid choice."
}
]
}